Rated 5/5 based on 240179 internet user reviews

Jump to content


Change Photo

Lấy toạ độ X,Y cng lc


  • Please log in to reply
14 replies to this topic

#1 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 18 February 2009 - 08:20 AM

Khi dng lệnh DOR(ordinate) chỉ c thể lấy được toạ độ X hoặc Y lm thế no để c thể cng lc lấy được toạ độ của cả X,Y
  • 0

#2 TruongThanh83

TruongThanh83

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 18 February 2009 - 08:32 AM

Dng lệnh DI thử xem
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2,027 posts
Danh tiếng: 1285 (rất tốt)

Gửi vào 18 February 2009 - 08:44 AM

Dng lệnh DI thử xem

Lệnh ID th được.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#4 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 19 February 2009 - 08:35 AM

Lệnh ID th được.

Lệnh ID chỉ xem được toạ độ , khng thể sử dụng như text được, cc bc c cch no khc khng ?
  • 0

#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2,027 posts
Danh tiếng: 1285 (rất tốt)

Gửi vào 19 February 2009 - 08:58 AM

Lệnh ID chỉ xem được toạ độ , khng thể sử dụng như text được, cc bc c cch no khc khng ?

Giải php dng lisp: Mnh dng lệnh DIMORDINATE của bạn chỉ khc l bạn chỉ cần chọn điểm 1 lần th n tự lm 2 lần cho x v y.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(setq b (list (+ (car a) 1) (caDr a)))
(setq c (list (car a) (+ (caDr a) 1)))
(command ".DIMORDINATE" a "x" c)
(command ".DIMORDINATE" a "y" b)
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#6 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 20 February 2009 - 11:15 AM

Giải php dng lisp: Mnh dng lệnh DIMORDINATE của bạn chỉ khc l bạn chỉ cần chọn điểm 1 lần th n tự lm 2 lần cho x v y.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(setq b (list (+ (car a) 1) (caDr a)))
(setq c (list (car a) (+ (caDr a) 1)))
(command ".DIMORDINATE" a "x" c)
(command ".DIMORDINATE" a "y" :cheers:
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

em cảm ơn bc nhiều lắm nhưng bc c thể viết thm jm em một cht nữa để X,Y cng nằm theo phương Y được khng, em muốn c mũi tn dưới toạ độ nữa (giống lệnh LE c text ở bn trn l tọa độ X,Y ).C thể ko thoải mi để đat tại vị tr thch hợp( ci bc viết cho em kich v l ra toạ độ liền ko thể ko đi như khi dng lnh DOR được). Mong bc gip gim
  • 0

#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2,027 posts
Danh tiếng: 1285 (rất tốt)

Gửi vào 20 February 2009 - 02:12 PM

em cảm ơn bc nhiều lắm nhưng bc c thể viết thm jm em một cht nữa để X,Y cng nằm theo phương Y được khng, em muốn c mũi tn dưới toạ độ nữa (giống lệnh LE c text ở bn trn l tọa độ X,Y ).C thể ko thoải mi để đat tại vị tr thch hợp( ci bc viết cho em kich v l ra toạ độ liền ko thể ko đi như khi dng lnh DOR được). Mong bc gip gim

Thật tnh mnh khng dng lệnh Dor bao giờ nn chỉ gip bạn được vậy thi cc vấn đề khc mnh chịu.
Mnh sửa lại để bạn chọn điểm viết kết quả lun.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq b (getpoint "\nChon diem viet ket qua: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(command ".DIMORDINATE" a "x" b)
(command ".DIMORDINATE" a "y" b)
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#8 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 20 February 2009 - 02:47 PM

Thật tnh mnh khng dng lệnh Dor bao giờ nn chỉ gip bạn được vậy thi cc vấn đề khc mnh chịu.
Mnh sửa lại để bạn chọn điểm viết kết quả lun.

(defun c:LTD ()
(command "undo" "be")
(setq a (getpoint "\nChon diem: "))
(setq b (getpoint "\nChon diem viet ket qua: "))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(command ".DIMORDINATE" a "x" :cheers:
(command ".DIMORDINATE" a "y" :cheers:
(setvar "osmode" luubatdiem)
(command "undo" "end")
(princ)
)

em muốn như thế ny bc ơi
http://www.cadviet.c...iles/TOA_D0.dwg
  • 0

#9 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1,228 posts
Danh tiếng: 1056 (rất tốt)

Gửi vào 20 February 2009 - 06:11 PM

em muốn như thế ny bc ơi
http://www.cadviet.c...iles/TOA_D0.dwg

Bạn dng lisp ny. Lệnh XY:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(command "qleader" p1 p2 "" "" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

  • 1

#10 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 21 February 2009 - 07:35 AM

Bạn dng lisp ny. Lệnh XY:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(command "qleader" p1 p2 "" "" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

bc ơi sao số khng nằm trn mũi tn hả bc, v ci ny khng chỉnh sửa trong Dimention được .
  • 0

#11 Tue_NV

Tue_NV

    KS V Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4,001 posts
Danh tiếng: 3557 (đỉnh cao)

Gửi vào 21 February 2009 - 09:41 AM

bc ơi sao số khng nằm trn mũi tn hả bc, v ci ny khng chỉnh sửa trong Dimention được .

Bạn hy ni r số nằm trn mũi tn th sẽ cch mũi tn một khoảng bằng bao nhiu? v chỉnh sửa trong Dimension như thế no?
Bạn hy ni r của bạn nh.
  • 0

#12 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 21 February 2009 - 09:51 AM

Bạn hy ni r số nằm trn mũi tn th sẽ cch mũi tn một khoảng bằng bao nhiu? v chỉnh sửa trong Dimension như thế no?
Bạn hy ni r của bạn nh.

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phn...) v em muốn text nằm fa trn như trong bản vẽ em gởi đ bc. Ci ny c thể sửa tai PR(text) nhưng fải sửa từng ci, em muốn lam nhanh hơn, Bac xem gip em với
  • 0

#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 5,303 posts
Danh tiếng: 2866 (tuyệt vời)

Gửi vào 21 February 2009 - 10:49 AM

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phn...) v em muốn text nằm fa trn như trong bản vẽ em gởi đ bc. Ci ny c thể sửa tai PR(text) nhưng fải sửa từng ci, em muốn lam nhanh hơn, Bac xem gip em với

Cho bạn kiwi,
Bạn hy xem thm về tc dụng của lisp với việc ghi kch thước ở đy.

http://www.cadviet.c...o...205&st=1420

Đối với việc dng lisp để tạo kch thước th ci dimassoc l khng cn tc dụng nữa bạn ạ. Do vậy bạn muốn n như thế no th phải đưa thẳng n vo trong lisp chứ khng thể dng dimension style để chỉnh sửa n. V khi đ tất cả cc vị tr dimension m bạn dng lisp sẽ c hnh ảnh l như nhau trừ khi bạn thay đổi lisp theo từng vị tr ghi kch thước.

Bạn nn ch khi sử dụng cc lisp ny nh.
Chc bạn thnh cng trong cng việc.
  • 0
Chc cc qu Anh trn diễn đn lun khỏe, đẻ thm được nhiều thứ để mt.

#14 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1,228 posts
Danh tiếng: 1056 (rất tốt)

Gửi vào 21 February 2009 - 11:12 AM

Dạ, em muốn chỉnh sửa trong Dimention Style (số thập phn...) v em muốn text nằm fa trn như trong bản vẽ em gởi đ bc. Ci ny c thể sửa tai PR(text) nhưng fải sửa từng ci, em muốn lam nhanh hơn, Bac xem gip em với

Bạn thử lại với lisp ny:
(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(setvar "dimtad" 1)(command "leader" p1 p2 "a" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

Muốn bao nhiu chữ số thập phn, bạn vo Format - Units - Length - Precision... (phải thiết lập Units trước khi dng XY, v chỉ cần 1 lần)
  • 0

#15 kiwi

kiwi

    biết zoom

  • Members
  • Pip
  • 18 posts
Danh tiếng: 0 (bnh thường)

Gửi vào 21 February 2009 - 12:30 PM

Bạn thử lại với lisp ny:

(defun C:XY( / p1 p2)(setq     p1 (getpoint "\nFirst point:")     p2 (getpoint p1 "\nNext point:"))(setvar "dimtad" 1)(command "leader" p1 p2 "a" (strcat (rtos (car p1)) "\\P" (rtos (cadr p1))) "")(princ))

Muốn bao nhiu chữ số thập phn, bạn vo Format - Units - Length - Precision... (phải thiết lập Units trước khi dng XY, v chỉ cần 1 lần)

cảm ơn bc nhiều lắm , em lm được rồi
  • 0